Премини към съдържанието
  • Добре дошли!

    Добре дошли в нашите форуми, пълни с полезна информация. Имате проблем с компютъра или телефона си? Публикувайте нова тема и ще намерите решение на всичките си проблеми. Общувайте свободно и открийте безброй нови приятели.

    Моля, регистрирайте се за да публикувате тема и да получите пълен достъп до всички функции.

     

Linux - обща дискусия 3


Препоръчан отговор


преди 52 минути, whitepixel написа:

Криптомилиардер закупи BitTorrent и uTorrent

https://www.kaldata.com/it-новини/криптомилиардер-закупи-bittorrent-и-utorrent-286643.html

Сега май си *** мамата?
Какво става с торент протокола? Остава ли безплатен? Ако не - прогнозирам пингвинотресения ...

p2p shall never die...Ако го направи платен, никой няма да го ползва и тоя цървул ще яде дървото.

Линк към този отговор
Сподели в други сайтове
  • Отговори 6,5k
  • Създадено
  • Последен отговор

Потребители с най-много отговори

Потребители с най-много отговори

Популярни публикации

Предлагам следното :  Психично болните и идиота с повече от едно имена да ги игнорираме и да не им отговаряме по никакъв начин на идиотизмите. Те, точно това търсят с провокациите си - внимание под ка

Сигурността е само един от важните моменти. Животът в Линукс си е просто по-лесен. За всичко е помислено - хранилища с проверен софтуер, удобно подредени менюта, софтуерен център с готови програми. Въ

Честит Рожден ден на KDE, преди 22 години през 1996 година е анонсирано графичната среда KDE https://www.kde.org/announcements/announcement.php

Публикувани изображения

преди 11 часа, whitepixel написа:

Сега май си *** мамата?

Какво става с торент протокола? Остава ли безплатен? Ако не - прогнозирам пингвинотресения ...

Дори и да е така, ще трябва да въведе нова версия. Не ми е известно да има случай в който да трябва да се плаща точно същия, софтуерен лиценз, който преди е бил безплатен. Това би следвало да е невъзможно, дори и по Краварските стандарти.

преди 10 часа, whitepixel написа:

ама не е купил програмата БитТорент, а е купил технологията торент за милиарди в зелено, и най-вероятно ще има намерението да я монетизира за съжаление.

Най-вероятно има намерение да ползва протокола за нещо друго - телевизия и подобни.

Линк към този отговор
Сподели в други сайтове

Някой знае ли за какво служи пакета "nouveau-firmware" и дали предлага реална поддръжка на NVidia в момента? Виждал съм го още в Debain 6. Поддръжката на видеокартите се осигурява от xserver-xorg-video-nouveau и на този "firmware" не виждам реалната роля. Още повече, че от години не е обновяван.

Линк към този отговор
Сподели в други сайтове

Има едни дърти чипсети на Нвидиа да не би да е за тях .

Линк към този отговор
Сподели в други сайтове
преди 2 часа, cybercop написа:

Някой знае ли за какво служи пакета "nouveau-firmware" и дали предлага реална поддръжка на NVidia в момента? Виждал съм го още в Debain 6. Поддръжката на видеокартите се осигурява от xserver-xorg-video-nouveau и на този "firmware" не виждам реалната роля. Още повече, че от години не е обновяван.

В момента, nouveau осигурява сплаша за начално зареждане в CentOS. Би трябвало да движи NVidia картите, но както спомена, нито е цялостна поддръжката, нито включва новите карти. Общо взето, замислено като отворена алтернатива и когато не е неличен комерсиален драйвър. Например по време на инсталация.

Моето предположение, че съдържа код, който NVidia не иска да споделя открито. Нещо като глупостите им в блоб-а на кернела. И затова е изнесено там.


Линк към този отговор
Сподели в други сайтове
преди 1 час, Melmak ® написа:

В момента, nouveau осигурява сплаша за начално зареждане в CentOS. Би трябвало да движи NVidia картите, но както спомена, нито е цялостна поддръжката, нито включва новите карти. Общо взето, замислено като отворена алтернатива и когато не е неличен комерсиален драйвър. Например по време на инсталация.

Моето предположение, че съдържа код, който NVidia не иска да споделя открито. Нещо като глупостите им в блоб-а на кернела. И затова е изнесено там.

Не става въпрос за xserver-xorg-video-nouveau, а за nouveau-firmware. Първият управлява nvidia картите, колкото му е по силите.

преди 2 часа, Иво Димов написа:

Има едни дърти чипсети на Нвидиа да не би да е за тях .

Може и да е така. Запомнил съм го от Debian Squeeze.

Линк към този отговор
Сподели в други сайтове

Ето една анотация относно nouveau-firmware:

"Contains the firmware-like context programs for the
open-source nouveau nVidia drivers.  These are required for
acceleration (both 2D and 3D) on nVidia cards of the nv40 generation
and above (GeForce6 and above).

Although the nouveau drivers are now able to generate this firmware for
nv40 generation cards this package still contains the nvidia context programs
for debugging purposes.

This package is temporary; the nouveau drivers will soon be able to
generate this data on the fly."

Линк към този отговор
Сподели в други сайтове

@nick_dimitrov : Прочетох го вече. Това "скоро", вероятно се е случило преди няколко години.

Линк към този отговор
Сподели в други сайтове

Някой може ли да ми препоръча актуален уеб браузър за стар компютър с инсталиран Debian 6. Дори Pale Moon се инсталира с над 40 пакета от хранилищата на Wheezy, като зависимости. Идеалният вариант е някой уеб браузър, който е статично компилиран заедно с библиотеките, но не съм чул за такъв.

Линк към този отговор
Сподели в други сайтове
преди 16 часа, cybercop написа:

Някой може ли да ми препоръча актуален уеб браузър за стар компютър с инсталиран Debian 6. Дори Pale Moon се инсталира с над 40 пакета от хранилищата на Wheezy, като зависимости. Идеалният вариант е някой уеб браузър, който е статично компилиран заедно с библиотеките, но не съм чул за такъв.

Ако опреш до минималистичен избор, вариантите са само два:

Dillo - https://www.dillo.org/ (обаче няма поддръжка на JS)

NetSurf - http://www.netsurf-browser.org/ (подържа JS, но е склонен да крашва понякога)

След това, може да дръпнеш от старите версии на Opera. Имам в предвид версиите, преди да минат на WebKit. Там GUI-то е статично свързано към Qt библиотеката. Тоест няма нужда да го мислиш и с останалите зависимости би трябвало да го подкараш.

Останалите са средна работа в най-добрия случай. И общо взето едни и същи, защото ползват WebKit или Gecko.

https://en.wikipedia.org/wiki/Comparison_of_lightweight_web_browsers

 

Линк към този отговор
Сподели в други сайтове
преди 17 часа, cybercop написа:

Някой може ли да ми препоръча актуален уеб браузър за стар компютър с инсталиран Debian 6. Дори Pale Moon се инсталира с над 40 пакета от хранилищата на Wheezy, като зависимости. Идеалният вариант е някой уеб браузър, който е статично компилиран заедно с библиотеките, но не съм чул за такъв.

Само във виртуална машина би могло да се получи това.
Няма как да се подкара модерен браузър върху Debian6 и да се гледат youtube клипове ,правилно форматирани страници и т.н..
Според мен само така може да стане,както го коментирахме преди време.Програмата прави точно това,превръща софтуера в малка виртуална машина.
Създаденото нещо тръгва дори на 32 bit опер.система,точно защото е виртуална машина и игнорира средата в която се намира.
Това е според думите на автора.Лично аз не съм портвал браузър,трудно се прави графично приложение,трябва да се знае как е структуриран софтуера и т.н.,но пробвах с mpv,mplayer,ffplay и те работят поне на CentOS6.Почти съм сигурен,че ще функционират и върху Debian 6.

 

Линк към този отговор
Сподели в други сайтове
преди 3 часа, nick_dimitrov написа:

Няма как да се подкара модерен браузър върху Debian6 и да се гледат youtube клипове ,правилно форматирани страници и т.н..

 

Всъщност става, ако се качат библиотеки от по- горна версия на Debian, но са много пакети. Вече го пробвах с жив диск за да не омажа нещо. Върви всичко, стига да си инсталирал Pulseaudio, защото без него, няма звук в You Tube. Сега, разбрах на практика, защо CENTOS6.x не е тази CENTOS6, която беше преди пет години. По- бавна е и консумира 2-3 пъти повече физическа памет. 

Линк към този отговор
Сподели в други сайтове
на 23.06.2018 г. в 16:45, cybercop написа:

Всъщност става, ако се качат библиотеки от по- горна версия на Debian, но са много пакети. Вече го пробвах с жив диск за да не омажа нещо. Върви всичко, стига да си инсталирал Pulseaudio, защото без него, няма звук в You Tube.

Кой браузър и коя по-горна версия?По-горните версии си търсят зависимостите,които ги няма в по-долните.Не ти разбрах питанката.Предположих,че говорим за браузъри последна версия(тъй наречените модерни),актуални към днешна дата.Пробвай как ще се държи при теб на youtube старата версия 35.0 на firefox от тук.http://ftp.mozilla.org/pub/firefox/releases/

При youtube ползване на браузър по-горна версия  от 35.0 върху Debian6,ме подканва да си обновя версията на опер.система,забива и т.н .Последните  изобщо не стартират по обясними причини.

Линк към този отговор
Сподели в други сайтове
преди 12 часа, nick_dimitrov написа:

Кой браузър и коя по-горна версия?По-горните версии си търсят зависимостите,които ги няма в по-долните.Не ти разбрах питанката.Предположих,че говорим за браузъри последна версия(тъй наречените модерни),актуални към днешна дата.Пробвай как ще се държи при теб на youtube старата версия 35.0 на firefox от тук.http://ftp.mozilla.org/pub/firefox/releases/

При youtube ползване на браузър по-горна версия  от 35.0 върху Debian6,ме подканва да си обновя версията на опер.система,забива и т.н .Последните  изобщо не стартират по обясними причини.

https://s25.postimg.cc/n4oryohnj/Pale_Moon.png

Става и с Firefox 52 ESR.

Добавяш хранилищата на Wheezy (включително updates) и инсталираш. С тези от Jessie ще стане мазало, защото засягаш самата графична среда. Има прилична htlm5 поддръжка. 

Линк към този отговор
Сподели в други сайтове

Привет. Дайте идея как да преборя смачкани кирилически шрифтове... Зададения шрифт по подразбиране е DejaVu Sans.

Друго което направих е вкарах ето този конфигурационен файл:

<!--?xml version="1.0"?-->
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<!-- /etc/fonts/fonts.conf file to configure system font access -->
<fontconfig>
 
  <!-- workaround for wrong style and weight in NanumTTF 2.020 -->
  <match target="scan">
    <test name="fullname" qual="any" compare="eq">
      <string>NanumMyeongjoBold</string><string>나눔명조 Bold</string>
      <string>NanumGothicBold</string><string>나눔고딕 Bold</string>
    </test>
    <edit name="style" mode="assign">
      <string>Bold</string>
    </edit>
    <edit name="weight" mode="assign">
      <const>bold</const>
    </edit>
  </match>
  <match target="scan">
    <test name="fullname" qual="any" compare="eq">
      <string>NanumMyeongjoExtraBold</string><string>나눔명조 ExtraBold</string>
      <string>NanumGothicExtraBold</string><string>나눔고딕 ExtraBold</string>
    </test>
    <edit name="style" mode="assign">
      <string>ExtraBold</string>
    </edit>
    <edit name="weight" mode="assign">
      <const>extrabold</const>
    </edit>
  </match>
  <!-- fallback of the MS fonts -->
  <alias>
    <family>Gulim</family><family>굴림</family>
    <family>Dotum</family><family>돋움</family>
    <prefer><family>NanumGothic</family></prefer>
  </alias>
  <alias>
    <family>Batang</family><family>바탕</family>
    <prefer><family>NanumMyeongjo</family></prefer>
  </alias>
  <!-- specify fallbacks for the missing glyphs, like Hanja. -->
  <match target="pattern">
    <test name="family" compare="eq">
      <string>나눔고딕</string><string>NanumGothic</string>
    </test>
    <edit name="family" mode="append">
      <string>DejaVu Sans</string>
    </edit>
  </match>
  <match target="pattern">
    <test name="family" compare="eq">
      <string>나눔명조</string><string>NanumMyeongjo</string>
    </test>
    <edit name="family" mode="append">
      <string>DejaVu Serif</string>
    </edit>
  </match>
  <!-- default sans and serif
       TODO: it will be moved to fontconfig default configs -->
  <match target="pattern">
    <test qual="any" name="lang" compare="contains">
      <string>ko</string>
    </test>
    <test qual="any" name="family" compare="eq">
      <string>sans-serif</string>
    </test>
    <edit name="family" mode="prepend_first" binding="same">
      <string>NanumGothic</string>
    </edit>
  </match>
  <match target="pattern">
    <test qual="any" name="lang" compare="contains">
      <string>ko</string>
    </test>
    <test qual="any" name="family" compare="eq">
      <string>serif</string>
    </test>
    <edit name="family" mode="prepend_first" binding="same">
      <string>NanumMyeongjo</string>
    </edit>
  </match>

  <match target="pattern">
    <edit name="antialias" mode="assign">
      <bool>true</bool> 
    </edit>
  </match>
  <match target="pattern">
    <edit name="hinting" mode="assign">
      <bool>true</bool> 
    </edit>
  </match>
  <match target="pattern">
    <edit name="hintstyle" mode="assign">
      <const>hintslight</const> 
    </edit>
  </match>
  <match target="pattern">
    <edit name="dpi" mode="assign">
      <double>96</double> 
    </edit>
  </match>
 
</fontconfig>

Проблема който ме мъчи от край време се корени във това че на букви като ь, в и не само на тях - долната част на буквите е смачкана и в Хромиум и в Опера и в Мозила. Системата Open Suse leap 15 – инсталирана още от бета двд и след това надградена до стабилна версия чрез ъпдейт.

Линк към този отговор
Сподели в други сайтове

Ако ми кажеш примерно това какво прави - шапка ти свалям.

<string>NanumGothicExtraBold</string><string>나눔고딕 ExtraBold</string>

Аз бих заложил (ей така, пробно) на

<double>96</double>

Предполагам, че си гледал на официалната им страница какви проблеми са открити и как могат да се решат при надграждане от една версия към друга.

Линк към този отговор
Сподели в други сайтове

Интересното е какво са променили. :) Криптокопач? Най-вероятно са аматьори. Сериозните групи не биха се изложили така.

 

преди 1 час, whitepixel написа:

За съжаление ще става все по-зле и все по-често. Причината e наложилата се практика са online инсталации и ъпдейти- всички дистра вече предлагат единствен минимален по обем диск за инсталация.

Действително, загуби се нещо с изчезването на истинските инсталатори. Инак не бих имал нищо против, но когато не можеш да си изтеглиш нищо на което може да се разчита офлайн, вече е дразнещо.

преди 1 час, whitepixel написа:

Защото си заслужава 5-часовото усилие  за теглене на Дебиан - най-великата пълна колекция от софтуер - компилиран и в сорс.

Действително! Разбира се е спорно колко е подробна, но си остава качествен архив, който си заслужава.

Между другото, като те чете човек, навярно си представя някой от "подготвящите се" се хаховци. :D

https://en.wikipedia.org/wiki/Doomsday_Preppers

Линк към този отговор
Сподели в други сайтове

Сега това гледах в архивите какво са променили

Написали са в упътването „негри“. Заглавието: „Линукс за „negroes““ И са променили локацията с Африка :lol6:

А от коментарите разбирам, че са сложили в ebuild файловете допълнителна команда: rm -rf /

Шаомра

Ей го https://archive.is/lp94O

 

Линк към този отговор
Сподели в други сайтове

Ами ще видим. Но на мен ми се струва, че някой е придобил достъп без да иска и е направил първото, за което се сети, преди да си сменят паролите.

Линк към този отговор
Сподели в други сайтове
преди 4 часа, whitepixel написа:

Сериозен пробив и безпрецедентно по мащабите си компрометиране на дистро - в случая Gentoo.
 https://www.phoronix.com/scan.php?page=news_item&px=Gentoo-GitHub-Compromised

Като се замисля, това е третия случай на посегателство върху дистро в последните 2 години, поне за които зная.
Първо беше върху Debian - подменените етикети на Hacker в 8.7 в носителите на CD/DVD, та спешно беше пуснат 8.7.1
После беше сайтът на openSUSE, но отрекоха да има влияние върху компрометиране на самата дистрибуция.
Сега това върху Gentoo.

За съжаление ще става все по-зле и все по-често. Причината e наложилата се практика са online инсталации и ъпдейти- всички дистра вече предлагат единствен минимален по обем диск за инсталация.

Всички без Debian - единственият останал стожер на сигурността срещу компромат на пълния обем на дистрибуцията чрез неговия jigdo.
Добре, че ми е оцелял навикът един път едногодишно да си тегля пълната дистрибуция, че туко-виж един ден сме осъмнали без Линукси у Интернет. Защото си заслужава 5-часовото усилие  за теглене на Дебиан - най-великата пълна колекция от софтуер - компилиран и в сорс.

Не е вярно. Сусе предлагат цялостноДВД за инсталация със доста добре организиран подбор на пакетите.

Линк към този отговор
Сподели в други сайтове

Интересно защо чак като Майкрософт обяви апетити към GitHub се случват тези работи с Gentoo."Пробива"  е именно само  на GitHub.

Microsoft уплаши потребителите на GitHub

Линк към този отговор
Сподели в други сайтове
преди 23 часа, whitepixel написа:

Абе, бая пълна си е дистрибуцията им като колекция - за Stretch са 14 DVD-та компилирани програми (amd64) и 12 DVD-та сорс, какво по-пълно от това?

Това за Doomsday сериала е любопитно и интригуващо. Но ако се замисли човек, може и да е вярно като логика - унищожи Интернет и се връщаме в Индустриалната епоха, премахни електричеството и се връщаме в Средновековието. Парадоксът е, че колко по-сме развити като цивилизация, толкова сме по-уязвими към Апокалипсис и по-безпомощни да оцелеем, ако все пак се случи.

@bornofash ..^(OvO)^..  To така се започва - на майтап. Майтап, майтап, но  навярно си чувал приказката за ташак на гол гъз :lol6:

Ами и аз не се сещам. Не само пълна, но и проверена, авторитетна, колекция е нужна. Нещо като тяхната колекция + каквото още ти трябва.

Гледал съм го и някои от сериите наистина ми бяха интересни. Най-вече те кара да отстъпиш назад и да се замислиш какви са значителните фактори в живота, от какво не би се отказал, кое колко струва и т.н.

Така е, обаче компютрите, мрежите и тока не е толкова лесно да изчезнат. Няколко едноплаткови компютри, 5 слънчеви панела и си в играта. Към колкото по-основни нужди се връщаш, толкова е по-трудно да се осигурят и толкова по-скъпо струват /за разлика от тренда в момента/. Независим софтуер също ще е 100% досадно и трудно да се намери. Не че е от първостепенна важност, но без него компютрите и мрежите нямат смисъл.

Да, засега е вярно.

Линк към този отговор
Сподели в други сайтове

От 19-ката вече и Ментата започна да извива ръце, досущ като Микропръц. Искаш или не, скапаният и бъгав микрокод на интел се инсталира и не ти дават право на избор. Ти го деселектираш, цъкаш ОК, оно пак там. Да си е*ат майката ментова, ще си търся друго дистро, което не ме принуждава да инсталирам нещо, което не искам!  icon_evil.gif  

Линк към този отговор
Сподели в други сайтове
преди 3 минути, rado84 написа:

От 19-ката вече и Ментата започна да извива ръце, досущ като Микропръц. Искаш или не, скапаният и бъгав микрокод на интел се инсталира и не ти дават право на избор. Ти го деселектираш, цъкаш ОК, оно пак там. Да си е*ат майката ментова, ще си търся друго дистро, което не ме принуждава да инсталирам нещо, което не искам!  icon_evil.gif  

Привързан е за мета- пакетите за ядрата. Този на AMD, също е привързан към тях. Можеш спокойно да инсталираш само ядрата и няма да се инсталират микрокодовете. Ако не знаеш как, по- добре не пипай. Оплакването от насилието върху твоята философия за живота е по- безопасния вариант.

Линк към този отговор
Сподели в други сайтове
sudo apt remove --purge linux-kernel-generic && sudo apt update

и ще се чувства с "нормални" ръце. То така или иначе ще пробва ядра в несвяст, пък и има лесен графичен избор.

Линк към този отговор
Сподели в други сайтове

Добавете отговор

Можете да публикувате отговор сега и да се регистрирате по-късно. Ако имате регистрация, влезте в профила си за да публикувате от него.

Гост
Напишете отговор в тази тема...

×   Вмъкнахте текст, който съдържа форматиране.   Премахни форматирането на текста

  Разрешени са само 75 емотикони.

×   Съдържанието от линка беше вградено автоматично.   Премахни съдържанието и покажи само линк

×   Съдържанието, което сте написали преди беше възстановено..   Изтрий всичко

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Добави ново...

Информация

Поставихме бисквитки на устройството ви за най-добро потребителско изживяване. Можете да промените настройките си за бисквитки, или в противен случай приемаме, че сте съгласни с нашите Условия за ползване